### Hierarchy

- JsonSchemaParser

## Index

### Constructors

- constructor

### Properties

- getComponent

### Methods

- createComponent
- parseSchema
- parseSubSchemas
- resolveComponent
- resolveComponentChildren

## Constructors

### constructor

- new JsonSchemaParser(getComponent?: ResolveComponentFn): JsonSchemaParser

- - Defined in lib/json-schema-parser/JsonSchemaParser.ts:22

  #### Parameters

  - ##### Default value getComponent: ResolveComponentFn = () => null

  #### Returns JsonSchemaParser

## Properties

### Private getComponent

getComponent: ResolveComponentFn

- Defined in lib/json-schema-parser/JsonSchemaParser.ts:23

## Methods

### createComponent

- createComponent(schema: JsonComponentNode): ReactElement<any>

- - Defined in lib/json-schema-parser/JsonSchemaParser.ts:48

  #### Parameters

  - ##### schema: JsonComponentNode

  #### Returns ReactElement<any>

### parseSchema

- parseSchema(schema: MaybeArray<JsonComponentNode>): MaybeArray<ReactElement<any>>

- - Defined in lib/json-schema-parser/JsonSchemaParser.ts:27

  #### Parameters

  - ##### schema: MaybeArray<JsonComponentNode>

  #### Returns MaybeArray<ReactElement<any>>

### parseSubSchemas

- parseSubSchemas(subSchemas?: JsonComponentNode[]): Array<ReactElement<any>>

- - Defined in lib/json-schema-parser/JsonSchemaParser.ts:35

  #### Parameters

  - ##### Default value subSchemas: JsonComponentNode[] = []

  #### Returns Array<ReactElement<any>>

### resolveComponent

- resolveComponent(node: JsonComponentNode): React.ComponentType<any>

- - Defined in lib/json-schema-parser/JsonSchemaParser.ts:68

  #### Parameters

  - ##### node: JsonComponentNode

  #### Returns React.ComponentType<any>

### resolveComponentChildren

- resolveComponentChildren(__namedParameters: object): MaybeArray<ReactElement<any>> | undefined

- - Defined in lib/json-schema-parser/JsonSchemaParser.ts:83

  #### Parameters

  - ##### __namedParameters: object

    - ##### children: undefined | JsonComponentNode[]

  #### Returns MaybeArray<ReactElement<any>> | undefined

Generated using TypeDoc